package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.UserApply;

/**
 * 企业用户申请Mapper接口
 * 
 * @author jy
 * @date 2022-12-05
 */
public interface UserApplyMapper 
{
    /**
     * 查询企业用户申请
     * 
     * @param id 企业用户申请主键
     * @return 企业用户申请
     */
    public UserApply selectUserApplyById(Long id);

    /**
     * 查询企业用户申请列表
     * 
     * @param userApply 企业用户申请
     * @return 企业用户申请集合
     */
    public List<UserApply> selectUserApplyList(UserApply userApply);

    /**
     * 新增企业用户申请
     * 
     * @param userApply 企业用户申请
     * @return 结果
     */
    public int insertUserApply(UserApply userApply);

    /**
     * 修改企业用户申请
     * 
     * @param userApply 企业用户申请
     * @return 结果
     */
    public int updateUserApply(UserApply userApply);

    /**
     * 删除企业用户申请
     * 
     * @param id 企业用户申请主键
     * @return 结果
     */
    public int deleteUserApplyById(Long id);

    /**
     * 批量删除企业用户申请
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserApplyByIds(Long[] ids);
}
